Shortcut Doctor Help Contents

Shortcut Doctor Help

Shortcut Doctor Ó is a utility to check your Windows shortcuts and identify those containing targets that can no longer be found. The program can resolve "invalid" shortcuts, edit, search/replace (after confirmation) delete, or create new shortcuts. All shortcuts on a drive can be displayed, regardless of whether they are valid or not. File mask & ignore functions let you include/exclude shortcuts by physical location of the .lnk / .url file or by shortcut reference to specific paths. Network drive mappings can be inserted in the Replace dialog automatically. Network shortcuts can be changed to non-tracking or tracking. Internet shortcuts can be created or edited. Operations can be automated via scripts & command line switches and you can create .lnk shortcuts from the command line. Special switches are available to control with fields in a .lnk shortcut the program will operate on. Shortcuts can be dragged from Explorer into Shortcut Doctor for editing. Results can be written to a text file, the "Shortcut To" prefix & display colors can be modified in General Options , and the toolbar is customizable. Shortcut Doctor can empty the Recent Documents list.

Click on the below graphic for information on the main fields or see Main Window for a single list.

Basic Operations | Product Information


Shortcut Doctor Main Window

For a description of the fields in the main window, move your mouse over the below graphic and click where it changes to a hand cursor - or - scroll the screen down to below the graphic for an outline description.

Shortcut Doctor Main Window Fields:

Path Field: Enter the path to search for shortcuts. You may manually enter a path, select a previous path from the drop down list ( [image]), or use the browse button ( [image]). The number of items retained in the drop down list is configured under General Options. To search all hard drives on the computer, specify Local Hard Drives (case insensitive) or Lokale Festplatten (German interface users, case insensitive).

Path Browse Button ( [image] ): Click here to open a select path dialog that can be used to conveniently chose the path to search.

Search subdirectories Field: Check this box if you want to search for shortcuts that are present in subdirectories under the path specified on the path field.

Show All Field: When checked, Shortcut Doctor will display a list of shortcuts found and their integrity after you press the Check Shortcuts button. When unchecked, a brief report will be displayed.

Search Results List: After you click on the Check Shortcuts button or select "Check" under the Actions Menu, your results are displayed here.


Check Shortcuts

To Validate Shortcuts:

1 In the Shortcut Doctor Main Window, specify a path and whether or not to search subdirectories. Check the "Show All" field in the main window for a detailed list of the shortcuts found.

2 If you wish to ignore any paths or skip specific shortcuts based on location, specify you settings under the various Ignore Functions .

3 Click the Check Shortcuts button or select "Check" in the Actions Menu.

4 Results will be displayed in the main window Results List.

5 See Resolve Shortcuts for information on correcting invalid links.

Note: When Shortcut Doctor checks Internet shortcuts, it evaluates the basic format of the shortcut but does not verify the URL itself. A message reflecting this will be displayed in the Results List. See Internet Shortcuts for more information.


Edit Shortcut

Edit Existing Shortcuts

To edit an existing shortcut, highlight it in the results list and click on the Edit Button or select "Edit" from the Actions Menu or the right click menu.

The fields and procedures for editing an existing shortcut parallel those for creating a new shortcut. Please see Shortcut Properties - New Shortcut for an outline format description of the fields. You should also see Internet Shortcuts for details about dealing with links to www sites.

Note: After making changes to a shortcut, you should click the Check Shortcuts button to refresh the Results List.

Modeled below is an existing shortcut. Move the cursor over the image for examples on editing an existing shortcut - it will change to a hand cursor where additional help is available.


Search/Replace Dialog

The search/replace string dialog is activated via the Search Replace button or from the Actions Menu . Use this dialog to search the selected shortcuts for a path string and/or replace it with another. The fields to search can be modified if you like (default is all fields). All shortcuts specified according to the main dialog path field & "search subdirectory" switch, and your Ignore Functions criteria, will be processed. A search-only returns a list of shortcuts containing the "Strings to find". Replacement prompts are available or not. Mark "Check Paths" if you want to validate paths before replacements are made. Click the Check button to refresh the Results List after a search/replace operation.

Click on the graphic or scroll for more help on the fields.

Notes:

  • 'Check Paths Before Replace' verifies Target, Start In, and Icon path. If any of those paths cannot be verified, the replace is not made for any of those fields.

  • Strings in the command line field are never verified for whether or not they might be a valid path.

  • If 'Check Paths Before Replace' is disabled and if your replaces involve drive letters that do not exist for your machine, the operating system may interfere with the replace. The issue is the drive letter and not the path itself. The exact behavior varies by OS so test your machine first. For example, a replace of d:\test\some.exe -> q:\what ever\test.exe may result in odd changes if Q: does not exist for your machine. We suggest using valid drive letters only. Perhaps a temporary mapped drive can be established for that letter? If you absolutely must make replaces involving non-existent drive letters a multi-step s/r may work on your machines, e.g, test\some.exe -> what ever\test.exe and then d:\test -> q:\

  • If 'Check Paths Before Replace' is disabled and if your replace makes a change that results in a non-existent icon location path, Windows will probably automatically insert a default icon of its own. This behavior cannot be stopped. If you don't want the OS to make its own decisions, make icon replaces that point to a known icon.

Search/Replace Dialog Fields

Find String: Enter the strings to search for, one per line. Shortcut Doctor can search for targets &/or command line parameters. Do not use quotes. In the example here, UNC (Universal Naming Convention) network paths are modeled (e.g., \\435CDS\C\ --> f:\). They were inserted automatically by clicking on the "Get Mappings" button.

Replace String: Enter the counterpart replacement paths, one per line. Do not use quotes. In the example here, UNC (Universal Naming Convention) network paths are modeled. They were inserted automatically by clicking on the "Get Mappings" button. If you want to delete a command line parameter, enter a blank line followed by return corresponding to the command line string in the "Strings to Find" field.

Check Paths Before Replace: When checked, Shortcut Doctor verifies Target, Start In, and Icon paths. If any of those is not confirmed, the replace is not made for any of those fields. When Check Paths Before Replace is unchecked, no verification is attempted. See Notes above for more information about involving s/r changes to invalid paths. If you receive an error response from the program that 'Text not found in any shortcuts' even though a check shows the existing shortcuts are OK, try disabling this switch.

Prompt Before Replacing: Enable this if you want replacement confirmations in advance of the actual replace.

Show Progress Window: When checked the Progress Meter is displayed during search/replace and Check-only operations.

UNC Map First: For shortcuts that point to a network drive, when checked, Shortcut Doctor will change Universal Naming Convention paths first.

Make Network Shortcuts Non-Tracking: This is a 3-way checkbox. When unchecked, automatic resolution of network-based shortcuts will be turned off. When fully checked, network tracking will be enabled. When checked and dim, the tracking bit will be left unchanged. Click on the Replace button to effect the change. All shortcuts in the current path will be operated on. If you only want to change network tracking but make no other changes to the paths, you must enter some type of string in the "Strings to Find" list.

Please note that the program resets network tracking on/off according to your choice, regardless of the previous state of a .lnk, when you make a choice other than dim. For example, it is normal for the program to report that a .lnk was 'made non-tracking' even though it might have already been non-tracking.

See Automatic Network Shortcut Resolution for more information.

Search Button: Click to perform a search. The shortcuts containing the search string(s) will be returned in the main dialog.

Replace Button: Click to perform a search & replace.

Cancel Button: Click to abort.

Get UNC Mappings: Click here to insert the UNC paths & mapped drives currently in effect on your computer. If you are not connected to a network, this button will have no effect.


Search Fields

Shortcut Doctor v 3.1+ allows you to specify which fields in a .lnk shortcut to operate on. The default is to operate on all fields but you can control this using a special script switch for scripted operations or by making a manual registry setting.

The script switch is the Search Fields= switch. The value specified is the sum of the field values you are interested in using this table:

Field | Value
Start In Dir Icon Location Target Command Line | 1 2 4 8

Some Examples:

- Search (or replace) in Icon Location only: Search Fields=2

- Search (or replace) in Command Line only: Search Fields=2

- Search (or replace) in Target and Command Line only: Search Fields=12

- Search (or replace) in Icon, Target, and Command Line: Search Fields=14

Making Manual Registry Changes

We intend for this functionality to be used primarily in scripts. But if you have a reason to have the GUI operate in the same way you can make a manual registry change.

Exit all instances of Shortcut Doctor before making the change.

Do not experiment if you are not familiar with editing the Windows Registry! Write support@funduc.com in advance if you need extra help. Mistakes with manual registry edits can make your computer inoperative and may possibly require that you reinstall your operating system and software.

The value in question is a DWord value named Search Fields under
HKEY_CURRENT_USER\Software\Funduc Software Inc.\Shortcut Doctor\Flags

Don't forget, DWord values are in hex. The table above is decimal so make the correct adjustment. For your convenience, here are some regedit snippets:

# Search (or replace) in Start Dir only:

[HKEY_CURRENT_USER\Software\Funduc Software Inc.\Shortcut Doctor\Flags]

"Search fields"=dword:00000001

# Search (or replace) in Icon Only:

[HKEY_CURRENT_USER\Software\Funduc Software Inc.\Shortcut Doctor\Flags]

"Search fields"=dword:00000002

# Search (or replace) in Target only:

[HKEY_CURRENT_USER\Software\Funduc Software Inc.\Shortcut Doctor\Flags]

"Search fields"=dword:00000004

# Search (or replace) in Command Line only:

[HKEY_CURRENT_USER\Software\Funduc Software Inc.\Shortcut Doctor\Flags]

"Search fields"=dword:00000008

# Start Dir & Icon:

[HKEY_CURRENT_USER\Software\Funduc Software Inc.\Shortcut Doctor\Flags]

"Search fields"=dword:00000003

# Start Dir, Icon, Target:

[HKEY_CURRENT_USER\Software\Funduc Software Inc.\Shortcut Doctor\Flags]

"Search fields"=dword:00000007

# Icon, Target:

[HKEY_CURRENT_USER\Software\Funduc Software Inc.\Shortcut Doctor\Flags]

"Search fields"=dword:00000006

# Icon, Target, Command Line:

[HKEY_CURRENT_USER\Software\Funduc Software Inc.\Shortcut Doctor\Flags]

"Search fields"=dword:0000000e

# Target, Command Line:

[HKEY_CURRENT_USER\Software\Funduc Software Inc.\Shortcut Doctor\Flags]

"Search fields"=dword:0000000c

# All Fields:

[HKEY_CURRENT_USER\Software\Funduc Software Inc.\Shortcut Doctor\Flags]

"Search fields"=dword:0000000f


Ignore Functions

Shortcut Doctor allows you to omit shortcuts from processing based on both the physical location of the .lnk or .url file on you hard disk and the path specification that is present within a shortcut.

File Masks are used to specify paths to ignore based on the physical location of the .lnk or .url file on you hard disk.

Options-Ignore is used to specify shortcuts to ignore based on the path they reference.

For example, assuming your CDROM drive is drive K:\ and your ZIP drive is M:\, by using a file mask such as "*.lnk;*.url;~\windows\start menu\utilities" and an Options-Ignore specification of "K:\;M:\", you could omit from processing any shortcut files located in "C:\ start menu\utilities" and any shortcuts that contain references to your CDROM and ZIP drives.

See File Masks and Options-Ignore for more information.


Automatic Network Shortcut Resolution

By default, Windows attempts to automatically resolve the UNC path of shortcuts to mapped networked drives based on the original UNC network resource name at the time the shortcut was created. For example, if you create a shortcut to someprogram.exe on UNC path \\server1\c\program files mapped as drive M:, if at a later point \\server1\c\ is mapped as drive O:, Windows will automatically resolve the new network mapping when you use that shortcut.

There may be situations where this behavior is undesirable. For example, if someprogram.exe expects mappings to drive M:, problems may occur.

Shortcut Doctor can enable/disable network tracking of a shortcut via the Search / Replace dialog. Fully check / uncheck the "Make network shortcuts non-tracking" 3-way checkbox and perform a replace to change the shortcuts in the current path. The results will be displayed in the main dialog. If the "Make network shortcuts non-tracking" checkbox is checked and dim, automatic resolution will not be changed.

For further information on automatic network shortcut resolution, search the Microsoft Knowledge Base (support.microsoft.com). Article "Q150215" is a good starting point.


Create New Shortcut

To create a new shortcut:

1 Click the New Shortcut button or select "Add Shortcut" from the Actions Menu.

2 Complete the blank shortcut properties dialog for the program you wish to create a shortcut to.

3 Click on OK when finished.

4 Click the Check Shortcuts button to refresh the Results List.

See Shortcut Properties and Shortcut Doctor Main Window for more information.


Internet Shortcuts

Shortcut Doctor can create and edit Internet Shortcuts that point to web sites. You can also perform Search & Replace operations on the URLs in Internet Shortcuts. When checking Internet Shortcuts, Shortcut Doctor will verify the basic integrity of the shortcut but it does not do an Internet-based check on the validity of the URL itself.

The steps for creating and editing Internet Shortcuts parallel those for standard Windows shortcuts. The only difference is that you should specify the complete URL in the Target field of the Shortcut Propertied dialog, e.g., "http://www.funduc.com".

Shortcut Doctor defaults to a name for new Internet Shortcuts based on the URL you specify. For example, if you supplied a value in the Target field of "http://www.funduc.com", Shortcut Doctor would suggest the name "Shortcut to www.funduc.com" in the Windows Desktop folder, where "Shortcut to " is the string specified in the "Start Shortcut Name With" field under General Options . You are free to change the name of the Internet Shortcut to something else. If you do, please take care to assign the shortcut the filename suffix, ".url" as the ".url" filetype is what Win95/NT uses to distinguish Internet Shortcuts.

Did you know that the Internet Explorer v3.0 "Favorites" list is a collection of Internet Shortcuts, typically located in the folder "C:\Windows\Favorites". Internet Explorer 4.0 typically saves Internet Shortcuts in "C:\Windows\Favorites\Links". You can use Shortcut Doctor to edit or create shortcuts to web sites that will then show up in your Internet Explorer Favorites list.

Finally, you should note that some Internet URLs contain colon characters, as in the fictitious site, "http://www.JoesDiner.com:80". If you are creating a new shortcut to JoesDiner, you will need to manually change to name Shortcut Doctor suggests on in the Location field to eliminate the characters ":80" from the name of the shortcut. This is because Win95/NT will complain about the presence of the colon character in the filename.


Empty Recent Files List

Empty Recent Documents List

Many Windows compliant programs automatically establish a shortcut to the last accessed file in the Start Menu "Documents" or "Recent Documents" list.

To use Shortcut Doctor to purge all items in the list, press the Clear Recent Documents button or select "Empty Recent Files" from the Actions Menu. A confirmation prompt is provided before any items are deleted. Deletions are routed to the Recycle Bin.

Tip: If you wish to remove some but not all items from the Documents list, you can specify the "Recent" folder in the path field on the Shortcut Doctor Main Window and use the Delete Button. The location of the Recent folder (subdirectory) varies by operating system so please check the documentation for your Window version for more information about the location of the "Recent" folder.


Delete Shortcut

Delete Shortcut(s)

To delete one or more shortcuts:

1 In the Shortcut Doctor Main Window, specify a path and whether or not to search subdirectories.

2 Check the "Show All" field in the main window.

3 Click the Check Shortcuts button or select "Check" in the Actions Menu.

4 Highlight one or more shortcuts in the Results List.

5 Click the Delete Button or select "Delete" from the Actions Menu or the right click menu.

6 Click the Check Shortcuts button again to refresh the Results List.


Options - General

Click on the graphic below for help or scroll your help screen down for a text list description of the General Options fields.

General Options Fields:

# of Items to Save: Determines the number of paths Shortcut Doctor will save in the path drop down list ( [image]) for the path field on the main window.

Found Color: Changes the display color of descriptive messages for shortcuts that have problems. Click this to activate a standard Windows color picker.

File Color: Changes the display color of the file names of the shortcuts themselves. Click this to activate a standard Windows color picker.

Write Output to File: All output in the Search Results area of the Shortcut Doctor main window will be written to the text file specified here. Leave this blank if you do want search results written to a file. Shortcut Doctor issues a reminder after writes to the output file. To dump the output to the windows clipboard, specify Clipboard (case insensitive) or Zwischenablage (German interface users, case insensitive).

Append to Output File: When checked, if an output report is specified the file is written in Append mode. When not check the file is overwritten by each new operation. The output report is specified in the 'Write Output to File' field (Options-General) and via Output_File= switch in Scripts.

Write Output to File Browse Button ( [image] ): Click here to open a standard file open dialog that you can use to navigate to a specific file or subdirectory. The default is filename is "results.txt" in the Shortcut Doctor subdirectory. When you click "Save", the file chosen will be inserted in the "Write Output to File" field.

Start Shortcut Name With: Shortcut Doctor defaults to "Shortcut to" as a starting string for the .lnk filename of the shortcut. You can change this here. Make the field blank if you do not want any starting string.

File Mask(s): Specify your file masks here or click on the [image] button to the right to activate the Include/Exclude dialog to create a complex mask interactively.

Show Progress Window: When checked the Progress Meter is displayed during search/replace and Check-only operations.

OK button: The settings as displayed will be saved.

Cancel button: The changes will not be made.


Actions Menu

Check: Searches for shortcuts in the specified path and subdirectories and checks their validity. Any paths specified according to your Ignore Functions are not searched or checked.

Empty Recent Files: Purges all items from the Recent Documents list. You will be prompted before items are erased. If you want to delete only some items from the list, specify the documents list on the path field and highlight only those items you wish to delete.

Replace: Activates the Path Search and Replace dialog.

Add Shortcut: Activates a blank shortcut properties dialog for creating a new shortcut.

Resolve: Attempts to fix errors in the shortcut that is highlighted in the results list. This is dim if no shortcut is highlighted.

Delete Shortcut(s): Erases the shortcuts that are highlighted in the results list. A confirmation dialog is presented. This is dim if no shortcut is highlighted.

Edit Shortcut: Opens the shortcut properties dialog on the shortcut currently highlighted in the results list. This is dim if no shortcut is highlighted.


Edit Menu

Copy to Clipboard: Copies the contents of the results list to the windows clipboard.


View Menu

Toolbar: Toggles the display of the toolbar buttons.

Status Bar: Toggles the display of the status bar at the bottom of the Shortcut Doctor window.

Options: Activates Program Options.


Error Messages

Shortcut Doctor issues a variety of error responses to the Search Results section of the main dialog or the Output File (Options-General). Some samples are below.

During a Check Only scan, the program reports if the target, working directory, or icon location are not found.

During a Search-Replace the program will issue a response similar to the below if one of your replace strings would result in a path that cannot be validated on the machine you are running on. This can happen even if the shortcut is valid before the replace is attempted. Disable the Check Paths Before Replacing switch if you do not want the program to validate paths during the replace.

Sample Check Shortcut Error Responses

Target not found: d:\test\Shtdoc.hlp

Working Dir not found: D:\whatever

Icon file not found: d:\test\someprog.exe

Sample Search/Replace Error Response

Found x files in x directories - Text not found in any shortcuts.


Shortcut Doctor & Windows FAQ

Q: I performed an initial scan and my shortcuts are valid. But then I try a replace and the program returns a text not found response. What is wrong?
A: Disable Check Paths Before Replacing in the Search/Replace dialog or your script. If one of your replace strings cannot be validated against the current machine paths, the program will issue a message like this. Disable Check Paths Before Replacing to skip the path validation routine during a replace.

Q: I created a script and passed it to the program .exe using the syntax, shtdoc.exe /F"myscript.sds". But nothing happens. Is there another switch I need on the command line?
A: Double check your script syntax. If something is wrong with the syntax the program launches but the script is not processed. Does your script perform only one action? If so, the most common problem is omitting [Action1]. All scripts must have at least one [Action] section even if you define a [Default] section. Technically the number doesn't matter if the script does only one action. For clarity, use [Action1] for a single action script.

Q: I have 'Check paths before replace' enabled but when I make a replace, the shortcut 'Target' field is left alone but other fields change. Is this normal.
A: Yes. Additional functionality may be added for invalid path filtering for all .lnk fields in future releases.

Q: I made a replace but it appears that the program cannot use long path names. The replaces are wrong.
A: Are you making replaces that include a reference to a drive letter that does not exist? If so, the operating system is probably interfering with the replace. Consider creating a temporary mapped drive to the drive letter. Breaking up the replace into two or more operations may also work.

Q: I created a new shortcut but now I can't find it. It's not in my Start Menu.
A: Try clicking the Check Shortcuts button to refresh the Shortcut Doctor Results List. Shortcut Doctor defaults to saving new shortcuts in the Desktop folder. Perhaps it was saved in the Desktop folder. If so, it will be on your windows desktop - try minimizing all open windows and see if it's there. See Shortcut Properties for help on specifying the location where Shortcut Doctor will save new shortcuts (the "Location" field).

Q: I have a shortcut that I know is there but Shortcut Doctor cannot seem to find it.
A: Double check your starting path in the main dialog, your file mask, and the Ignore list. Perhaps your path is missing the shortcut or an ignore setting is present that is causing the shortcut to be bypassed.

Q: Why do I have to press the Check Shortcuts button to refresh the display after many operations.
A: This is by design. Because some users have hundreds of shortcuts on their computers, it would be unnecessarily time consuming even on a fast computer to validate shortcuts after each operation.

Q: I have things like "My Computer", "Recycle Bin," and "Network Neighborhood" on my desktop. I used Shortcut Doctor to search my Desktop folder but something's wrong, I don't see shortcuts to any of these things.
A: This is normal. Some items in the Start Menu or on the desktop are not ordinary shortcuts.

Q: I have a some programs in my Start Menu that I can't see when Shortcut Doctor checks my shortcuts. What gives?
A: Are they DOS programs that run from a .pif? If so, Shortcut Doctor will not 'see' or check those entries. You'll need to edit them manually. Consult Windows help for how to do this.

Q: What in the world is a UNC?
A: UNC stands for "Universal Naming Convention." If your computer is not connected to a network, you needn't to worry about UNC.


About Box

This window contains system and copyright information. The underlined link to our web site will launch the default www browser for your computer and take you to http://ww.funduc.com. The underlined EMail link will launch the default Internet EMail program for your computer. Click the Ordering Info button for Ordering Information or the License Info button for License Information.

For customer support, contact visit our web site at www.funduc.com or write support@funduc.com.


Command Line Parameters

Command line parameters are listed below. We recommend using command line scripts for when possible because: a) Spaces or literal characters in paths are not a problem in a script file, b) Scripts allow you to control program options, and, c) Multiple operations can be included in a single script file.

See below for information creating .lnk shortcuts from the command line.

You may combine the /F and /Q switches. If the /F switch is used, all other switches except /Q will be ignored.

/Ffile name | Run the command line script in the specified file. You should not combine this with other command line switches. For example, shtdoc.exe /f"d:\scripts\scriptfile.txt" Scripts can have any file name extension.
/Q | Quit after operation - Shortcut Doctor will close after the operation is completed.
/D | Search Subdirectories. If not specified, it is assumed off.
/Sstring | Search string to use (case insensitive). /S automatically starts a search. /S is ignored, however, if the /C switch is present. If the string contains spaces or the / character you should enclose it in double quotes. Use a single quote character ' to denote literals such as " characters.
/Rstring | Replace string to use. Automatically starts a search if present. /R is ignored if the /C switch is present. If the string contains spaces or the / character you should enclose it in double quotes. Use a single quote character ' to denote literals such as " characters. Note: If the string supplied during a replace would result in a shortcut that is invalid, the replacement is not made.
/Pstring | Search Path. If no path or mask is specified, the last program default is used. Surround paths that contain spaces with " characters. Partial paths and the .. characters are permitted, e.g., /P"c:\windows\start menu" or /P..\temp. To enumerate all shares that you have access to on a machine, specify the machine name in UNC style but leave the share unspecified. For ex, /P\\server01\ will traverse all shares on server01 that you have access to. Note that you may need to activate the shares first through Windows. Shortcut Doctor does not automatically logon to remote machines if your machine is not already connected.
/O | Output file to send the results to. If not specified, the last program default is used.
/C | Perform a check of shortcuts on program startup. When /C is specified, /S and /R are ignored.

Notes on Command Line Switches

  • The switches can be upper or lower case.

  • Only one of the /C /D /Q /S /P switches can be specified

  • Switches can be in any order. For example,
    shtdoc /Oc:\dump.txt /SWindows /Pc:\windows\ /D
    shtdoc /D /Oc:\dump.txt /S"c:\windowstemp_clonepath" /R"c:\win98" /P"c:\temp" /Q

  • To launch a script file use the /F switch. For example,
    shtdoc.exe /f"d:\scripts\SD script.txt"

  • When running a batch file that contains multiple operations, consider prefacing your command lines with "START /WAIT" to cause Win 95/98/NT to pause until each instance of Shortcut Doctor is finished. For example,
    start /w shtdoc.exe /Oc:\dump1.txt /SWindows /Pc:\windows\ /D /Q
    start /w shtdoc.exe /Oc:\dump2.txt /S"c:\windowstemp_clonepath" /D /Q

  • Need to pass a pipe symbol to the command line? Use SET to make an environment variable. For example,
    SET T1=/s"<<Unnamed Profile>>"
    shtdoc /Oc:\dump1.txt %T1% /D /Q
    SET T1=

Create .lnk's from the command line

Shortcuts can be created from the command line using the following syntax:

shtdoc.exe <Name of lnk file> <Complete path to target> <Command parameters>

Create .lnk's notes:

  • You must specify a complete pathname for the .lnk. The file name extension .lnk must be specified. The program does not assume .lnk for the shortcut -- you must specify it yourself.

  • Surround paths &/or parameters that have spaces w/ " characters

Create .lnk's examples:

  • Create a shortcut named 'Test' in the path d:\test that launches windows Notepad:

    shtdoc.exe d:\test\test.lnk c:\windows\notepad.exe

  • Create a shortcut named 'Some Program" in Start Menu\Programs on a typical Win98 machine. The program itself is in c:\program files\something\some.exe and is launched with an /r switch:

    shtdoc.exe "c:\windows\programs\Some Program.lnk" "c:\program files\something\some.exe" "/r"


Command Line Scripts

Command line scripts may be used for complex operations. You may specify more than one operation in a single script. Script files are ASCII text files that should be created using text editor such as Notepad. The script file is passed to Shortcut Doctor via the /F command line parameter. For example, to run a script in the file "scriptfile.txt", issue the following from a command line prompt or a batch file:

C:\TOOLS\SD\SHTDOC.EXE /Fscriptfile.txt /Q

Notes:

  • The /Q command line parameter is optional. /Q means 'quit' after finished.

  • To make your script run without intervention specify Prompt On Replace=0 (see below).

  • If the path to your script contains spaces be sure to surround with quotes. Example:
    shtdoc.exe /F"d:\test files\script.txt" /Q

  • The file name extension for the script file may be anything you want.

  • If a script action cannot be performed, the program GUI may appear as, if the program is waiting for you to do something. If this happens, double check your script syntax and paths. If you are using the /Q switch with multiple [Action]'s, add output file statements to help you debug which step is having trouble.

  • The most common problem with scripts is the absence of any [Action ] sections. All scripts must have at least one specific [Action ], e.g., [Action1]. The number can be anything.

  • If your script has multiple actions and if you are using output file(s), use a different Output_File= specification for each [Action ] section. File writes to the output file are 'overwrite', not 'append'.

  • The program looks for the script file in the active path. Specify a complete path to the script file if it does not exist in the current active path.

See the file - "ScriptSyntax.txt" - included with the distribution of Shortcut Doctor. That file is similar to the below.

# === BEGIN SCRIPT SYNTAX ===================================

# Shortcut Doctor

# Version 4.0

# SCRIPT SYNTAX

# Presented below is a counterpart to the material in

# "ScriptSyntax.txt".

# The light # characters you see here are the # comment

# characters. # must go in column 1. Likewise, all switches

# must begin in column 1.

# Scripts are divided into [Action ] sections that are

# numbered sequentially, e.g, [Action01], [Action02],

# [Action03], .... They can be in any order in the

# script but are processed sequentially by number.

# Scripts can also have an optional [Default] section.

# [Default] is used to specify switches that are to

# apply in all [Action ] that do not have that same

# switch specified.

# A switch specified in an [Action ] always overrides the

# counterpart (if any) from [Default].

# All scripts MUST have at least one [Action ] section.

# For a single action script, DO NOT USE a [Default

# section. Use [Action1] instead.

# PERFORM A CHECK ONLY VIA SCRIPT?

# To perform a check-only, omit the Search_string= and

# Replace_string= switches for that [Action]

# SEARCH-ONLY SCANS

# You can also do a scan for a string by specifying a

# Search_string= spec but leave Replace_string= blank.

# We suggest that you also specify Prompt On Replace=1

# for such operations.

# SEARCH ONLY TIP

# Shortcut Doctor does not have 'wild card' search

# capability. But it is OK to specify a character likely

# to be found in all .lnk's in order to obtain a listing.

# Examples: Search_string=\ or Search_string=C:\

[Default]

# Use this optional [Default] section to specify any

# switches to be applied to all [Action ]'s.

# We suggest new users omit [Default] entirely and specify

# all switches within each [Action ]. You can streamline

# later if you want by making a [Default].

# *** SEARCH PATH ***

# Use Path= to specify the path to operate on. Do not

# surround paths with spaces with quote characters.

# Scripts also respect the string available in the GUI to

# search all local hard drives. Use

# Path=Local Hard Drives or (German interface)

# Path=Lokale Festplatten

Path=c:\winnt

# *** FILE MASK ***

# The default is Mask=*.lnk;*.url

# More masks are possible. Use the ~ character to exclude.

# For example:

# .lnk;*.url;~\utilities\* Skip C:\utilities

# *.lnk;*.url;~\utilities\*\ As above but also skip subdirs

# under C:\utilities

# *.lnk;~\*\utilities\*\ Skip any subdir named utilities

# & any underneath named utilities.

# No internet shortcuts will

# be processed because *.url is

# not specified

# s*.lnk;~\recycled\ Shortcuts beginning with 's' and

# ignore the recycled bin.

Mask=*.lnk;*.url

# *** IGNORE TARGET PATHS ***

# To skip shortcuts based the path in their "target"

# field, specify one or more paths in the Ignore Drives=

# switch. Separate multiple path with the pipe character

# |. For example: Ignore Drives=f:\|d:\work\|q:\path\path2

# Do not use " characters for paths with spaces.

# *** SEARCH / REPLACE STRINGS ***

# Use the switches below to specify the search and

# replace strings. Do NOT surround strings w/ spaces with

# quotes. See above for how to perform a search-only scan

# for reporting purposes.

# When performing replaces, specify Prompt On Replace=1

# to be prompted before replacements.

# See [Action3] below for a sample of how to search/replace

# multiple strings in a single pass.

#

# See [Action3] below for a sample of how to search/replace

# multiple strings in a single pass.

Search_string=c:\windows

Replace_string=c:\windows

# *** FIELDS TO SEARCH (REPLACE) ***

# The Search Fields= switch is an optional setting that

# controls which fields to operate on. The default if

# not specified is all fields.

# To select one or more specific fields, take the additive

# sum in the table below for the fields you want and

# specify that for Search Fields=. For example, to

# operate on Icon Location and Command line only, specify

# Search Fields=10. See Search Fields for more information.

#

# The fields and their values are:

# Field Value

# -------------- -----

# Start In Dir 1

# Icon Location 2

# Target 4

# Command Line 8

# Search Fields=15

# *** OUTPUT FILE ***

# If Output_File is blank or not set in Program Options

# from the last time the program was run interactively,

# no output file is produced.

# Output_File=c:\tools\sd\results1.txt

# *** OUTPUT FILE APPEND MODE ***

# The output file is normally in overwrite mode. To write

# in append mode, use the Append to Output File=1

# setting.

# 0 = Overwrite

# 1 = Append mode

Append to Output File=0

# *** SUBDIRECTORY SEARCHING ***

# The choices for Search_subdir are

# 0 = Off

# 1 = On

# The default is 0.

Search_subdir=1

# *** DISPLAY ALL RESULTS OR JUST THOSE WITH PROBLEMS ***

# When "Show All" is enabled, the results for all files

# will be displayed. When it is disabled, only the

# results for shortcuts that have problems will be

# listed. The choices are:

# 0 = Show All is disabled

# 1 = Show All is enabled

Show All=0

# *** VERIFY PATHS BEFORE REPLACEMENTS ***

# The Check before replace= switch determines whether or

# not the program verifies paths in the Target, Start In,

# and Icon paths before allowing a replace in any of

# those fields. When enabled, if any of one cannot be

# verified, no replace is made for those fields. When

# Check before replace=0, no verification is attempted.

# The default is to verify. The choices are:

# 0 = Do not check before replace

# 1 = Check before replace

Check before replace=1

# *** DISPLAY PROGRESS METER ***

# To enable/disable the progress meter, use these settings:

# 0 = No progress meter is displayed.

# 1 = Show progress meter

Show Progress=0

# *** REPLACEMENT PROMPTING ****

# To enable/disable replacement prompts:

# 0 = No prompting

# 1 = Yes, prompting

Prompt On Replace=1

# *** CHANGE AUTOMATIC NETWORK SHORTCUT RESOLUTION ***

# By default, the program does not change the tracking

# setting for a network shortcut. You can enable/disable

# automatic resolution with the switches:

# Make Tracking=1

# or

# Make Non Tracking=1

# (Remove appropriate comment character above)

[Action2]

Path=c:\winnt

Search_string=d:\program files\tools\sr

Replace_string=f:\tools\sr

Output_File=c:\tools\sd\results2.txt

Search_subdir=1

Show All=0

Check before replace=1

# The below [Action ] models how to do multiple

# search/replace strings in a single pass.

# Separate multiple strings on the two respective

# lines using the pipe character - |. The number

# of strings must balance. For ex, if you specify

# 3 search strings there must be 3 replace strings.

# There is no way to literalize the | character so

# if you need to search/replace for that character,

# do it in a separate [Action ].

[Action3]

Path=c:\winnt

Search_string=c:\Windows|Testing

Replace_string=d:\WindowsNew|TestingOld

Search_subdir=1

Show All=0

Check before replace=1

# === END SCRIPT SYNTAX =====================================


Ordering Information

Funduc Software - Purchasing & Ordering Shortcut Doctor

The base price of Shortcut Doctor is $15/single user, plus $8 to $10 S&H if you want a diskette sent by US or International mail. Email delivery is free. Quantity discounts are listed in the fax/mail order form and on our WWW site, www.funduc.com.

Registration includes free program updates and customer support (by Email) for six months. Updates are sent to registered customers quarterly. They incorporate your suggestions, so please send them! If you have problems receiving the program or need customer support, contact us by Email at support@funduc.com.

Credit Card Registration:

  • Secure Internet Transaction: If you have a secure Web browser such as Netscape or Internet Explorer, you may register by credit card via a secure Web transaction from our web site at: www.funduc.com.

  • Fax Registration: To register using a credit card via fax, open and print the fax/mail order form. You may also edit and print the file, 'Order.txt', in the program subdirectory. Please write clearly or type when you complete the form. Please check our web site - www.funduc.com/contact.htm - for the fax number to use. Fax orders are processed within a few hours during the USA business day. Allow 7-10 days for postal deliveries. Write support@funduc.com if you have a question about your order.

  • Phone Registration: Call the number indicated on the page at www.funduc.com/contact.htm to order using a credit card. Please specify that the order is for Shortcut Doctor. Phone orders with email delivery are typically processed within one business day. Allow 7-10 days for postal deliveries. Write support@funduc.com if you have a question about your order.

Ordering by check: Open and print the fax/mail order form. You may also edit and print the file, 'Order.txt', in the program subdirectory. Please write clearly or type when you complete the form. Mail the form and a check to the address indicated on the form. Please allow 7-10 days for check order processing and then contact support@funduc.com if you did not receive the program. Payments must be in US dollars drawn on a US bank or international postal money order in US dollars. If you send a postal money order, do so only by some form of registered mail that can be traced!


Licensing Information

License Information

Shortcut Doctor
Copyright (c) 1997-2009 by Funduc Software Inc.
All rights reserved.

See Ordering Information for more information on how to purchase Shortcut Doctor.

Copyright/License/Warranty

For ordering information, see the section Ordering Information.

License Agreement and Warranty Disclaimer

You should carefully read the following terms and conditions before using this software. Use of this software indicates your acceptance of these terms and conditions. If you do not agree with them, do not use the software.

Shareware Version

The Shareware Version is not free software. If you are using the Shareware Version you are hereby licensed to use this software for evaluation purposes without charge for a period of 30 days. If you use this software after the 30 day evaluation period a registration fee is due (see Ordering Information).

If you are using the Shareware Version of the software you are also hereby licensed to: Make as many copies of the Shareware version of this software and documentation as you wish; Give exact copies of the original Shareware version to anyone; Distribute the Shareware version of the software and documentation in its unmodified form via electronic means. There is no charge for any of the above.

Unregistered use of Shortcut Doctor after the 30 day evaluation period is in violation of federal copyright laws.

You may not decompile, disassemble, reverse engineer, or modify any version of Shortcut Doctor (shareware) in any manner.

Registered Version License

One registered copy of Shortcut Doctor may be dedicated to a single person who uses the software on one or more computers or workstations that are for their own exclusive use and for which they are the sole user.

The purchase of a single user license specifically does not permit use of the program to modify, update, or search multiple workstations, directly or indirectly, via any means. A single user license may not be made available in any form to multiple users or workstations.

Licensing is not based on "concurrent" users. If multiple workstations are to access the program in any form and for any length of time you must purchase licenses for the number of workstations that will access the program. If you make the registered version of Shortcut Doctor available through a network and accessible by multiple people or workstations you are required to purchase licenses for the software covering all workstations that will access the software through the network. Special pricing is available for multiple licenses. See Ordering Information for information on how to purchase (register).

Workstation Update And/Or Special Use License

Special licensing (and pricing) is available for modifying or searching multiple workstations, directly or indirectly, via scripts, command line processing, or logon routines. The purchase of a special use license allows you to use the program to update the number of workstations for which you purchased special use licenses for. Unless otherwise noted at the time of your purchase, a workstation update/special use license specifically does not allow individual workstation users to access the program for interactive use. Do not create desktop shortcuts or launchers that allow workstation users to access the program outside of the specific update routine for which you purchased the special use license.

Please contact sales@funduc.com for more information on special use licensing.

Ownership Rights

Funduc Software, Inc. owns and retains all copyrights, patents, trade secret rights, trademarks and intellectual property rights to this software. Registration &/or use of the software does not grant you any right to the intellectual property in the product.

Customer Support

Customer support can be obtained by visiting our homepage at www.funduc.com or www.searchandreplace.com by E-MAIL (support@funduc.com ).

Restrictions

You are prohibited by law from selling, renting, leasing, loaning, or donating the program or documentation in whole or in part without specific advance agreement between yourself and Funduc Software, Inc. You are prohibited by law from redistributing the registered version of the program by any method or in any form except to the specific individuals for whom the software was purchased. You are prohibited from decompiling, reverse engineering, disassembling, or otherwise reducing the program to human readable form for any purposes whatsoever. You may not modify the program or documentation in any manner. You are prohibited from permitting anyone else from undertaking any of the above actions.

You may not decompile, disassemble, modify, or reverse engineer Shortcut Doctor (registered or shareware) in any manner.

Governing Law

This agreement shall be governed by the laws of the State of Michigan.

Disclaimer of Warranty

This software and the accompanying files are sold "as is" and without warranties as to performance of merchantability or any other warranties whether expressed or implied. In particular, there is no warranty for the string Replacing feature.

Good data processing procedure dictates that any program be thoroughly tested with non-critical data before relying on it. The user must assume the entire risk of using the program. Any liability of the seller will be limited exclusively to product replacement or refund of purchase price.


Customer Support

Customer Support Information

If you have a question that is not answered in the documentation, please contact us at support@funduc.com. Please give as much detail as possible about the operation you want to perform and where you're having problems.

Shareware Users: We will do our best to answer your questions, however, please be aware that ongoing support necessitates that you register Shortcut Doctor.

To report a bug, E-MAIL:support@funduc.com.

We welcome suggestions and ideas for improving Shortcut Doctor. If you have a suggestion, please first check the documentation and the READ.ME file to make sure they are not already implemented or planned. If not, write us at support@funduc.com.

For ordering information, please see the section Ordering Information.

Thank you for using Funduc Software products!


Acknowledgements

Acknowledgments

Thanks to all our users for your suggestions and support.


Funduc Software Products

Please visit our Web site at http://www.funduc.com for more information, freeware, shareware, and purchases of these and other products.

Search & Replace

Search and Replace is our award winning utility loved by programmers, webmasters, and novice computer users alike. If you need to find and replace text, or just find text, this utility is a must have.

Search and Replace looks through multiple files for a string and can also replace it with another string. It can search subdirectories and ZIP files and do case sensitive or insensitive searches. Extensive support for regular expression (egrep) search & replacement includes operations that span more than one line, insertion of the path & filename during replacements, and incrementing number replacements. Binary search & replace mode can be combined with regular expressions. Precise control over replacements is available through multiple confirmation options and a built-in context viewer that allows you to view replacements in- context, before they are made. An HTML Mode can be used to make html special character code substitutions during search/replace. Ignore Whitespace mode makes it convenient to handle spaces & cr-lf during non-regular expression operations. A built-in script editor makes frequent &/or complex multi-step search/replace operations easy to prepare. Advanced script operations include a boolean expression evaluator that provides additional control over which files are processed by the script. Advanced scripts also allow you to specify the program options in effect, insert comments in scripts, and perform iterative script operations. Multiple file masks and file date & size filters can be used to include &/or exclude files during regular and scripted operations. The internal context viewer includes a build-in editor for editing text files. The full complement of command line switches (including script launching) is ideal for network managers & advanced users. Other functions include: "Touch" files (change time/date stamp & file attributes); Preservation of original file date during replacements; Replacements on backup path files instead of the originals; Output reports to monitor operations; Shell extensions to launch Search & Replace from Explorer and the Find Menu; and more. A detailed help file with examples are included. Several foreign language interface are available from ttp://www.funduc.com.

Search and Replace has received several awards from WUGNET® (Windows User Group Net) Windows NT Shareware Pick of the Week (www.wugnet.com/shareware), Windows Magazine (www.winmag.com) Superior Shareware, and has been featured several times in Lockergnome's Free Windows 95/NT E-zine (www.lockergnome.com). It has a ZDNet Hotfiles (www.hotfiles.com) of 5 stars, & a TUCOWS (www.tucows.com) 5 Cow rating.

Search and Replace Regular Expression Wizard

Search and Replace Regular Expression Wizard is a step-by-step wizard to help you build regular expressions for use in Search and Replace. The expressions can be constructed from a menu of operators having English language counterparts. The impact of the operators is displayed in color coded form on a sample text you provide. You can move back & forth between search operators - replace operators - final results to adjust your expressions as necessary. When finished, the final expressions are inserted into the corresponding Search and Replace fields if Search and Replace is running. The Wizard itself is freeware. Documentation requires a one time purchase.

Directory Toolkit

Directory Toolkit is a multipurpose directory comparison and file manager that provides features missing from Windows. It displays single directory lists or side- by-side directory comparisons using color coding for alike, different, or missing files. Comparisons can be based on dates or a binary file analysis of file content. You can copy, move, & rename files while retaining long filenames and six built-in synchronize functions simplify updating directories. Built-in archive functions, with Explorer shell extensions, let you create & manage archives from Explorer and use Directory Toolkit as your primary archive manager for supported archives (zip, tar, gz, lz (read only), & cab). File operations and directory comparison functions work seamlessly on files in archives, e.g., no need to manually extract files first. Other features include statistics for file counts and path sizes; Ignoring filename case during comparisons; Explorer compatible OLE drag n Drop; Split/Concatenate files to/from diskettes; Encode/Decode UENCODE, Base64(Mime), BinHex(Mac), XXENCODE and yEnc formats, (Decode also includes quoted-printable, 7 bit unencoded, & plain text); An integrated comparison viewer for a color coded display of the actual differences in files; Safe physical sort of directories; Touch files (change time/date & attributes stamps); Find duplicate files on a drive; Open files and launch applications; Multiple include/exclude file masks and the ability to include/exclude files based on size and date; Command line switches & script functions to automate comparisons & synchronize operations & control program options in effect via batch files; Configurable output file and print functions to create reports of single and comparison directory lists; Detects & runs (optionally) setup programs in archives; Display file version information including 8.3 file name equivalents; File numbering to number files sequentially based on adjustable sort order and a user defined starting value. Help file with examples included. International versions are available from http://www.funduc.com.

Directory Toolkit has been a winner of the WUGNET® Windows NT Shareware Pick of the Week for (www.wugnet.com/shareware), WUGNET® Windows95 Best Choice Shareware for the week, and featured Lockergnome's Free Windows 95/NT E-zine (www.lockergnome.com). It has a ZDNet Hotfiles (www.hotfiles.com) of 5 stars.

Funduc Software ZIP Extractor

Funduc Software ZIP Extractor is ZIP "self-extractor stub" that lets you turn your ZIP files into a self-extracting executable that will automatically unZIP the archive when launched. This allows you to share your zip files with another person who might not have an unzip software on their computer &/or who might have only occasional use for an unzip tool. The self-extractor allows some or all files to be extracted and can create the paths in the zip file (default) or "flatten" the directory structure (unzip into a single path).

Registry Toolkit

Registry Toolkit lets you search &/or replace and edit the Windows registry. You can specify the data types to process, start key, case sensitive, whole word. Regular expression operations using an egrep-type syntax are also available. You can create/edit keys, values, &/or data manually if you wish. A unique 'operations' function lets you move/copy/delete/export values you select. For example, you can copy/move keys from one location in the registry to another. The program now maintains multiple 'undo' files that can be used to reverse previous changes (10 is the default). An automatic 'last change' undo is available from the program GUI. Replaces can be previewed in advance, in-context. Replaces can also be previewed in the context of an overall search - a comparison dialog then lets you select/deselect specific operations to perform before making the overall replace. The program can print search & registry browse results. The .reg import function allows you to compare existing data vs. data to be imported - specific items can then be selected/deselected. The .reg export function can be used to make special .reg files that delete keys when merged via Registry Toolkit or our new Registry Toolkit Merge program (see our web site). The various program comparison dialogs are configurable and their contents can be copied to the windows clipboard. The program can read DOS environment variables and use them in a search/replace. Script file & command line functions are available for automated &/or complex operations. Registry Toolkit will operate on a remote registry (if you have permission to do so). A German interface is available.

Registry Toolkit Merge

Registry Toolkit Merge is a companion program for Registry Toolkit. Registry Toolkit Merge is a command line that merges .reg files into the Windows registry. Registry Toolkit Merge is unique because it can be used to create self-contained, self-importing .exe's. When clicked on, the .reg information is imported into the registry (after confirmation). This is be useful, for example, if you need to distribute a .reg file to others but are worried that they might not know how to import a .reg file manually. Alternatively, a .reg file can be passed to the program from the command line. Like Registry Toolkit, the program can be used to apply .reg files that will delete keys from the registry or copy/move them to another location -- tasks that cannot be accomplished easily by the regedit.exe .reg merge function that comes with Windows.

Folder Synchronize

Folder Synchronize is a command-line utility useful to network administrators and other power users. It provides a subset of the functions in our Directory Toolkit utility, namely, the comparison & synchronize functions. We created Folder Synchronize for those who needed those functions but not the GUI interface & other functions of Directory Toolkit such as archive management, file operations, etc. Folder Synchronize is a native 32-bit executable for use with all 32 bit Windows platforms.

Folder Synchronize can synchronize two paths using one of 6 synch methods. The program can also do a comparison-only. This is useful with the output report function. When the output report is enabled it will contain a summary of the path comparison &/or a summary of the file operations carried out by the synchronize. Other features include: Switchable display (or not) of a progress meter; A custom bitmap & message of your choice can be displayed on the screen while an operation progresses; A 'No Cancel' switch can be used to make it less easy for a procedure to be interrupted; Require (or not) confirmation of file operations; Complex include/exclude file masks that let you include/exclude some file or subdirectories while including others; Multiple operations can be submitted to the program via multiple 'configuration files'.

Folder Synchronize Script Editor

The 'Script Editor' is used to generate (or edit) script files that can then be used with Folder Synchronize or our Directory Toolkit utility. The script switches are presented in an organized arrangement. The display of related switches can be collapsed/expanded for readability.

Application Mover

Application Mover is a tool that relocates installed programs from one path to another on your hard disk. Application Mover takes files found one path and moves them to another that you specify. Application Mover scans the windows registry for references to old file location and adjust the registry to the new location. Application Mover also scans all windows shortcuts in the Start Menu and adjusts those as well. *.ini and *.log files present in the program's path are updated to reflect the new location of your program.

Application Inventory

Application Inventory is a utility that scans your system for program .exe files and generates a configurable report about the files that were located. Optional follow-up scans are then initiated to cross-reference the initial scan results with windows .lnk shortcuts and/or references in the windows registry. Further details on files are available from Properties and References dialogs. Include and exclude filters are available to define the initial search by path &/or string(s) found in file version information. The fields included in the initial file scan are configurable. Results be sorted, copied to the clipboard, printed, or saved in a delimited file you specify. Application Inventory can also launch windows explorer on the path containing a file in the results list. Although Application Inventory is intended as a reporting tool, various windows properties sheets can be launched that allow you to make edits to file or shortcut properties. The program defaults to scanning for .exe files but a special switch is available to scan for another file type that you specify.

Duplicate File Finder

Duplicate File Finder is utility for 32 bit windows that locates duplicate files on in one or more paths. Unlike other utilities that only check file names, Duplicate File Finder performs a binary comparison of file contents and can locate files that are alike regardless of names. The path(s) to scan is configurable by file path and file mask(s) and filter settings can be used to include/exclude files by date, size, attribute. Results can be saved to a tab delimited file. Supplementary functions include launching files, deleting files to the recycle bin, opening Explorer on a path, and examining file properties.

File Merge Express

File Merge Express is a file comparison and merge utility for 32 bit Windows. The program displays a contents comparison of two files and can (optionally) create a third file, 'Merge File' that consists of the merge of the two files being compared. The Merge File can (optionally) be opened in the built-in text (or binary) editor. The program has options for file naming of the Merge File, including automatic naming when the two source files for the comparison have the same name. The Compare Files dialog is also used to establish parameters such line prefixes, colors, orientation of the preview, etc. Command line parameters are available to specify files to compare or a script file to use. The program can also be launched from the Windows Explorer right click menu. File Merge Express will also supplement our Directory Toolkit utility. If both programs are installed, Directory Toolkit's file contents comparison will automatically employ File Merge Express, which has more features than Directory Toolkit's internal routine.

Delivery Agent

Delivery Agent is a send-only e-mail program, with mail merge functions, for use by web site managers, network administrators, customer relations and support personnel, etc. The program is used to deliver frequently used, customer-requested e-mail messages (& MIME attachments) such as newsletters, product delivery & announcements, support notes, etc. Messages can be sent to one or more users by selecting a message from a list and entering the users' address. The program can read a text file containing a list of addresses for bulk delivery. Recipients of bulk deliveries are shielded from seeing the other recipients in the list. The program checks a POP e-mail account prior to sending message via SMTP - useful for servers that 'validate' the users current IP address prior to mail relays. Version 3.0 adds MAPI support. When activated, the program will route outgoing messages to your primary MAPI-aware e-mail program. Mail merge field name definitions, variable names, and data are stored in a single file containing the data and e-mail addresses. Variable names can be anything you like (except for the name of the e-mail address field). Mail Merge 'Constants' can also be defined. The program has a customizable header function that can be used to send web mail' or 'HTML mail'. The "To: " field can also be customized for bulk, non- mail merge deliveries. Port settings to use and maximum number of recipients per block can be configured manually. Settings and messages can be created via the program GUI or, once you are familiar with the program, via an external text editor. A full complement of command line switches allows the program to be incorporated into your .bat routines. A log file of deliveries can be enabled (or not).

Shortcut Doctor

Shortcut Doctor allows you to check your Windows links/shortcuts and see which contain targets which can no longer be found. The program can then delete the shortcuts, resolve them, or carry out search/replace operations to modify shortcut fields with or without validation of new paths. Network Drive mappings can be inserted in the Replace dialog automatically. Individual shortcuts can be edited and all shortcuts on a drive can be displayed, regardless of whether they are valid or not. Explorer Internet URLS can also be checked for problems. CD-ROM drives, network drives, and specific paths can be ignored during processing. Includes an Empty Recent Documents button. Script files, run from the command line, allow you to do multiple operations, control program options, and easily specify complex paths. A German interface is available.

Funduc Explorer Extensions

Explorer Extensions is a collection of enhancements for the Windows Explorer right-click context menu: a) Encode and Decode Email attachments - support for UUENCODE, Base64(Mime), BinHex(Mac), XXENCODE, quoted-printable, 7 bit unencoded, & plain text, b) Split and Concatenate large files into smaller ones for storage on floppies & visa versa. Split can be based on file size or a string found in a file, c) Touch files - change the time, date, & attributes of files. Touch can add (or subtract) a user specified time value from the current file time. d) File Operations - copy/move/rename/delete files using complex file masks. The program can also change the case of file names & number files. A German version is available.

Drive Bar

Drive Bar allows you to conveniently open views of your drives in the Windows Explorer. Drive Bar's Auto Hide function allows it to disappear from view when not in use so that it does not take up screen space. Drive Bar is resizable and can be set to remain visible at all times. It can also be set to launch alternative file manager programs in lieu of Windows Explorer, launch views as "Tiled" or not, ignore specified drives in the list of drive icons, and run automatically at Windows startup.

Update Toolkit

Update Toolkit is a multi-purpose application intended for administrators network managers. This program was created for those who need some or all of the separate functions of our Folder Synchronize, Shortcut Doctor, Registry Toolkit, and Search and Replace utilities under one command line application. Operations are controlled by scripts and are highly configurable. While Update Toolkit can be used on individual machines, it is oriented toward 'logon-script' operations for workstations. The program has no user interface and therefore is well suited for automated operations.

Count Characters (freeware)

Count Characters copies most Windows controls' data to the clipboard! That's just one of the features of this freeware program from Funduc Software. The program can report the type and content of some of the windows currently displayed on your desktop and for the most popular types of controls (including lists and trees) it can copy their contents to the clipboard. You can also copy the contents of password fields and regular text boxes. Cost: Free.

Decode Shell Extension (freeware)

Decode Shell Extension is very popular freeware app is an extension for the Windows Explorer. The program allows you to decode Internet email attachments by right-clicking on a saved message file from Explorer and selecting Decode from the menu. The program supports multiple attachments, multi-part files (already concatenated), UUENCODED, Base64(MIME), BinHex (Mac format), quoted-printable, XXENCODED, plain text files, and User (table) encoded files. If the attachment contains only one file, Decode Shell Extension will offer to open it using either the associated program or Notepad. For virus safety reasons, it will not offer to launch .exe., .com, .bat, & .cmd files. You should scan decoded Word and Excel files with your anti-virus checker before loading them.

DBComp Ver 1.0 (freeware)

DBComp is a database comparison and merge application that compare two OBDC data sources for alike vs. different records and generate a "Difference File" that lists the records that either do not match or have been added/deleted from one data source compared to the other. DBComp can also perform a "Merge" operation that uses Difference File generated by DBComp and updates an OBDC data source via SQL statements. You can view the SQL statements in advance and remove one (or more) in advance if you wish. DBComp version 1.0 is freeware.

Word Search and Replace

Word Search and Replace is a freeware macro for Microsoft Word. It uses the 'find and replace' functions of MS Word to perform a search/replace in one or more files selected by a file mask supplied by the user. We created 'WordSR' for those who need to search/replace in Word documents only. The macro can use the Word 'Pattern Matching' regular expression switch. Case Sensitive and Whole Word search/replace is also possible

Excel Search and Replace

Excel Search and Replace is a counterpart to our Word Search and Replace. This is a freeware macro for Microsoft Excel that searches (and replaces) in multiple .xls files using Excel's built-in find & replace function.

PowerPoint Search and Replace

PowerPoint Search and Replace rounds out our collection of freeware find and replace Office Macros. This macro is a PowerPoint .ppt file that works with MS PowerPoint files using the find and replace functions that are part of PowerPoint. You need to have the full version of PowerPoint installed. The macro can be run as a slide show but it will not work if you only have the PowerPoint Show Viewer from Microsoft.

TZAdjust (freeware)

TZAdjust, which stands for Time Zone Adjust, is a freeware app we created for users who find it necessary to make manual changes to the Windows time zone and 'day light savings' offset parameters. TZAdjust is probably of greatest interest to Windows NT-class users. NT/2000/XP returns time information as an offset from Greenwich Mean Time (GMT). In addition, the OS automatically makes Daylight Savings compensations when reporting file times. One can disable "Automatically Adjust for Daylight Savings" entirely in the Windows Day/Time Properties dialog but there may be other instances where finer control over time zone and the daylight offset is desired. Do not use TZAdjust casually. Be sure to read the information in the 'readme.txt' before using this program.

HexView for Windows 95/98/NT (freeware)

HexView is a multiple document Hexadecimal viewer that can display, print, and print preview any file as a hex dump. It is intended as a supplement for Search and Replace for Windows, however, it is a standalone app and does not require Search and Replace. A Japanese version is available.

Limit Edit (freeware)

Limit Edit expands upon the built-in limit feature for edit boxes & rich edit controls by letting you set your own maximum size settings for the amount of text permitted in edit boxes and rich edit controls. For example, Limit Edit can set a limit on the amount of text allowed in an instance of the Notepad text editor. The Limit Edit dialog also displays interesting information about the types of controls in use by a program. Although intended for edit boxes and rich edit controls only, it may also work on some other controls that are subclasses of these. Separate 16 and 32 bit version included.


AFX_HIDP_default

No Help Available

No help is available for this message box.

For customer support, contact support@funduc.com.


Command Line - Create lnks

Shortcuts can be created from the command line using the following syntax:

shtdoc.exe <Name of lnk file> <Complete path to target> <Command parameters>

Notes:

  • You must specify a complete pathname for the .lnk. The file name extension .lnk must be specified. The program does not assume .lnk for the shortcut -- you must specify it yourself.

  • Surround paths &/or parameters that have spaces w/ " characters

Examples:

  • Create a shortcut named 'Test' in the path d:\test that launches windows Notepad:

    shtdoc.exe d:\test\test.lnk c:\windows\notepad.exe

  • Create a shortcut named 'Some Program" in Start Menu\Programs on a typical Win98 machine. The program itself is in c:\program files\something\some.exe and is launched with an /r switch:

    shtdoc.exe "c:\windows\programs\Some Program.lnk" "c:\program files\something\some.exe" "/r"

See Command Line for more information.


Funduc Copyright

Shortcut Doctor

Copyright © 1997-2009 Funduc Software, Inc.
All Rights Reserved
www.funduc.com www.searchandreplace.com

See Ordering Information for details on how to purchase Shortcut Doctor or write us at support@funduc.com. See License Information for details about licensing. For customer support, contact support@funduc.com. Also visit our web site for product information and trialware & freeware downloads of our other award winning software products.


HID_HT_NOWHERE

No Help Available

No help is available for this area of the window.


Customize the Toolbar

Customize Toolbar is available from the View Menu. Click on the graphic below for help on customizing the toolbar.


Options - Ignore

Click on the graphic below or scroll your help screen down a text list description of the Ignore Options.

Ignore Drive List: The Options-Ignore list of drives or directories to ignore is used to specify one or more paths should be ignored if present in a given shortcut. Specify here any references to paths that you wish to skip during validation. For example, if your CDROM is drive K:\ and you want Shortcut Doctor to disregard any shortcuts that contain a reference to drive K:\, specify K:\ here. You can also specify UNC paths.

The Options-Ignore list does not reference the actual physical location of the .lnk or .url file itself. Use File Mask(s) to exclude shortcuts based on the physical location of the .lnk or .url files on your disk.

Note: Be sure to press <Enter> after each line.


Include/Exclude Mask Editor

Include/Exclude Files & Directories

The Include/Exclude Files and Directories dialog is activated from the [image] button next to the File Mask(s) field in the Options-General dialog. This editor is used to construct complex expressions to insert in the file mask field. These expressions allow you to specify which subdirectories under the search path in the main dialog to include (or exclude) from your search &/or replace. *.lnk and *.url are included as default suggestions. At least one of these must be specified or Shortcut Doctor will not process any shortcuts. Do not specify a file name extension other than .lnk or .url!

Click on the graphic below for help or scroll the screen down for a text description of the fields and additional notes.

Details on the Include/Exclude Files and Directories dialog

Include Exclude Mask List: The list of masks that will be inserted into the mask field when you click the OK button. Each expression here will be combined as a single expression separated by semi-colons.

Include Exclude Mask Buttons:

Up Button: Moves the highlighted mask in the Include/Exclude list up one step.

Down Button: Moves the highlighted mask in the Include/Exclude list down one step.

Apply Button: Creates a mask in the Include/Exclude list for the data listed in the fields on the right side of the dialog.

Add Button: Creates a new blank mask at the bottom of the Include/Exclude Mask list.

Insert Button: Inserts a blank mask in the Include/Exclude list above the highlighted line.

Delete Button: Deletes the highlighted mask in the Include/Exclude list.

Include Field: Mark this to have the data in the other fields to the right of the dialog be an "include" mask.

Exclude Field: Mark this to have the data in the other fields to the right of the dialog be an "exclude" mask.

Files Matching Field: Enter either a specific file name or a wild card expression to use. The wildcard operators are the same as the DOS dir command, e.g., the ? and * characters may be used. "Files Matching" may be used alone to specify a general include or exclude file mask or it may be combined with data involving the "Directories Matching" field below to identify files in some directories but not others. Note that you should only specify .lnk or .url files. File name extensions other than .lnk or .url will create unpredictable and/or unreliable results

Directories Matching Field: Enter a directory name or a wildcard specified directory name to use. The wildcard operators are the same as the DOS dir command, e.g., the ? and * characters may be used.

All Field: Mark this to use only the data in the "Files Matching" field. The "All" field is mutually exclusive with the "Use Match" field. To use data in your mask from both the "Files Matching" and "Directories Matching", mark the "Use Match" field.

Use Match Field: Mark this to use an expression involving a subdirectory name specified in the "Directories Matching" field. The "Use Match" field is mutually exclusive with the "All" field. To use data in your mask from both the "Files Matching" and "Directories Matching", mark the "Use Match" field.

Any Number of Levels Under Start Directory Field:

a) Leave this unmarked to include (or exclude) the directory specified in the "Directories Matching" field that exists immediately under the path specified in the main dialog. For example, given the starting path c:\windows\, the expression ~\skip_me\* would skip shortcuts in c:\windows\skip_me\. However, shortcuts in c:\windows\skip_me\test would be processed. To also skip shortcuts in subdirs under c:\windows\skip_me\, turn on the "Also Process Subdirectories" field.

b) Mark this to include (or exclude) the directory specified in the "Directories Matching" field no matter how many levels below the path specified in the main dialog. For example, ~\*\skip_me\ excludes c:\windows\skip_me\ and c:\windows\start menut\skip_me\. Shortcuts in any subdirectories under c:\windows\skip_me\ and c:\windows\start menut\skip_me\. that are not named "skip_me" would be processed, e.g., c:\windows\skip_me\ more2. To also skip files in 'more2', turn on the "Also Process Subdirectories" field.

Also Process Subdirectories Field: Mark this to include (or exclude) subdirectories below the directory specified in the "Directories Matching" field.

OK Button: Inserts the items in the mask list into the File Mask field in the Options-General dialog.

Cancel Button: Quits the dialog without making changes.

Help Button: Activates the online help.

Notes:

  • The rules for advanced include/exclude masks can be confusing and we recommend you construct them via the include/exclude dialog. The information and chart below provide additional background.

  • The program builds the complex file masks from left -> right. In general, specify masks to include first, followed by excludes. For example, ~\utilities\*;*.lnk* is not recommended. Use *.lnk;~\utilities\* instead.

  • By way of a general explanation in words:

  • - When a string involving the * meta character is followed by a \ character a subdirectory is referenced. For example, \*mage*\, \*mages\, \image*\ refer to subdirs.

  • \*\ preceding a subdir specification refers to 'any number of levels below the parent search path. For example, ~\*\test\ excludes any paths named test any number of levels below the starting search path.

  • \*\ following a subdir specification can be thought of as 'and also any subdir level below that point. For example, ~\test\*\ excludes \test immediately under the starting search path and all paths under \test. A path named \whatever\test would be searched.

  • \*\ surrounding a path means 'any number of levels below the parent search path and also everything under that. For example, ~\*\test\*\ would exclude any path named test at any point under the parent search path. Following from the above, ~\*\test\*\ would not search \whatever\test.

  • File mask specifications can be supplied after the closing \ for a subdir reference. If you don't use * in the path reference you must specify * after the \ character. For example, *.lnk;~\utilities\* should be used and not *.lnk;~\utilities\ alone. In contrast, the program assumes a file spec of *.* if the * character is used in a path reference. For example, ~\image*\ is interpreted as ~\image*\*, which is the same as ~\image*\*.*.

    • Expression | Effect
*.lnk;*.url;~\utilities\* | Skip shortcuts located C:\utilities
*.lnk;*.url;~\utilities\*\ | As above but also skips subdirs under C:\utilities
*.lnk;~\*\utilities\*\ | Skips shortcuts in any subdir named utilities and any shortcuts located in any subdir under a subdir named utilities. No internet shortcuts will be processed because *.url is not specified
s*.lnk; ~\*\utilities\*\;~\recycled\ | As above plus skips any shortcuts in the recycled bin.


Options Overview

Shortcut Doctor Options

Program options are divided into two tabs, General Options and the Ignore Options .


Shortcut Properties

The shortcut properties dialog is used to edit existing shortcuts or create new ones. To create a new shortcut, click the Add New Shortcut Button or select "Add Shortcut" from the Actions Menu. Please see Edit Existing Shortcut for help on editing an existing shortcut.

Note: After making changes to a shortcut or adding a new shortcut, you should click on the Check Shortcuts button to refresh the Results List.

For a description of the fields, move your mouse over the image and click where it changes to a hand cursor - or - scroll down for text descriptions.

Shortcut Properties Fields:

Target: Specify the target program for the shortcut. Although you can manually type in the full path to the program, it may be most convenient to use the file browser ( [image] button) to navigate to the desired program. If you are creating an Internet Shortcut, you should type in the complete URL to the web site, e.g., http://www.funduc.com.

Location: The filename and folder where the shortcut will be saved. You can manually type it in or use the file browser (the [image] button) to navigate to the folder. Shortcut Doctor defaults to a filename of "Shortcut to xxx.xxx.lnk" in the Windows Desktop folder, where:

"Shortcut to" is the string specified in the "Start Shortcut Name With" field under General Options
and
xxx.xxx is the name of the program specified in the Target Field.

You are free change xxx.xxx to another string and you may locate the shortcut to another folder. However, the filename suffix ".lnk" must not be changed!

Note: If the target is an Internet Shortcut, Shortcut Doctor will default to a shortcut name based on the URL.

Command Line: Specify here any special command line switches for your program. Consult documentation for the program you are creating a shortcut to for information about what, if anything, needs to be specified here.

Description: Use this field to enter description for the shortcut.

Start In: The startup subdirectory for the program specified in Target. This is typically the same subdirectory as the program itself. Consult documentation for the program you are creating a shortcut to for information permissible choices for the start in subdirectory for the program.

Shortcut Key: Use this field to specify a keyboard shortcut to quickly launch the program or switch to it from another task. If you specify a shortcut, you must include a CTRL and/or ALT setting. You may not use the ESC, Enter, Tab, PrintScrn, Space, or Backspace keys. Avoid using a shortcut key combination that overlaps with another that already exists on your computer (future releases of Shortcut Doctor will check for this.) Also, do not specify a keystroke combination that matches an access key combination for one of your windows programs as this would cause the access key to stop working.

Run: Specify the window type to be in effect when the program is launched. The three choices possible here - Normal Window (standard size), Minimized (Task Button), and Maximized (full screen) - are available in the drop down list ( [image]).

Icon: The default icon for the program is displayed. To select a specific icon, click on the icon to open a Choose Icon dialog. The default path is the path of the program. To use an alternative icon, use the browse button in Choose Icon dialog to navigate to a different path. The initial icon for new shortcuts will be blank and you should use the Choose Icon dialog to pick an icon. Note: A handy collection of standard windows icons can be found in SHELL32.dll in the windows\system subdirectory, e.g., C:\WINDOWS\SYSTEM\SHELL32.dll.

OK: The changes will be saved.

Cancel: No changes are made - the shortcut is not saved.


Replace Confirmation Dialog

When replacement confirmations are enabled in the Search/Replace dialog or in scripts (via the Prompt On Replace= switch), a dialog similar to the below is presented. Use the various buttons to approve or deny the pending operation. Please do not be alarmed that the dialog reports ''Changed arguments", "Changed target", etc. Nothing is changed until you permit the replacement. Also, depending on your search string, 4 prompts are possible for a shortcut: location: Target, Starting Path, Arguments, and Icon Location.


Select Path Dialog Box

The Select Path Dialog provides a convenient way to select and insert a directory into the various "Path" lines. The dialog is a standard Windows path browser. Expand or contract directory by clicking on the [image] or [image]. Alternatively, you can use the arrow keys. Click OK when done.


Include Exclude Masks Item 3

Include Exclude Mask List:

The list of masks that will be inserted into the mask field when you click the OK button. Each expression here will be combined as a single expression separated by semi-colons. The expression here will process all .lnk and .url files except those in and below c:\windows\utilities and and those in the Recycles bin.


Up Button

Up Button: Moves the highlighted mask in the Include/Exclude list up one step.


Down Button

Down Button: Moves the highlighted mask in the Include/Exclude list down one step.


Apply Button

Apply Button: Creates a mask in the Include/Exclude list for the data listed in the fields on the right side of the dialog.


Add Button

Add Button: Creates a new blank mask at the bottom of the Include/Exclude Mask list.


Insert Button

Inserts a blank mask in the Include/Exclude list above the highlighted line.


Delete Button

Delete Button: Deletes the highlighted mask in the Include/Exclude list.


Include Field

Include Field: Mark this to have the data in the other fields to the right of the dialog be an "include" mask.


Exclude Field

Exclude Field: Mark this to have the data in the other fields to the right of the dialog be an "exclude" mask.


Files Field

Files Matching Field: Enter either a specific file name or a wild card expression to use. The wildcard operators are the same as the DOS dir command, e.g., the ? and * characters may be used. "Files Matching" may be used alone to specify a general include or exclude file mask or it may be combined with data involving the "Directories Matching" field below to identify files in some directories but not others. Note that you should only specify .lnk or .url files. File name extensions other than .lnk or .url will create unpredictable and/or unreliable results.


Directories Matching Field

Directories Matching Field: Enter a directory name or a wildcard specified directory name to use. The wildcard operators are the same as the DOS dir command, e.g., the ? and * characters may be used.


Directories All Field

All Field: Mark this to use only the data in the "Files Matching" field. The "All" field is mutually exclusive with the "Use Match" field. To use data in your mask from both the "Files Matching" and "Directories Matching", mark the "Use Match" field.


Directories Use Match Field

Use Match Field: Mark this to use an expression involving a subdirectory name specified in the "Directories Matching" field. The "Use Match" field is mutually exclusive with the "All" field. To use data in your mask from both the "Files Matching" and "Directories Matching", mark the "Use Match" field.


Directories Any Levels Field

Any Number of Levels Under Start Directory Field:

a) Leave this unmarked to include (or exclude) the directory specified in the "Directories Matching" field that exists immediately under the path specified in the main dialog. For example, given the starting path c:\windows\, the expression ~\skip_me\ would skip shortcuts in c:\windows\skip_me\. However, shortcuts in c:\windows\skip_me\test would be processed. To also skip shortcuts in subdirs under c:\windows\skip_me\, turn on the "Also Process Subdirectories" field.

b) Mark this to include (or exclude) the directory specified in the "Directories Matching" field no matter how many levels below the path specified in the main dialog. For example, ~\*\skip_me\ excludes c:\windows\skip_me\ and c:\windows\start menut\skip_me\. Shortcuts in any subdirectories under c:\windows\skip_me\ and c:\windows\start menut\skip_me\. that are not named "skip_me" would be processed, e.g., c:\windows\skip_me\ more2. To also skip files in 'more2', turn on the "Also Process Subdirectories" field.


Directories Process Subdirectories Field

Also Process Subdirectories Field: Mark this to include (or exclude) subdirectories below the directory specified in the "Directories Matching" field.


Include Exclude OK Button

OK Button: Inserts the items in the mask list into the File Mask field in the Options-General dialog.


Include Exclude Cancel Button

Cancel Button: Quits the dialog without making changes.


Include Exclude Help Button

Help Button: Activates the online help.


File Masks

File Masks are the file and directory name filters used by Shortcut Doctor to determine which .lnk and .url files on your hard disk will be processed. File masks and directory lists can be combined to create complex file mask expressions to include shortcut files in some subdirectories while excluding those in others. Exclusions can also be combined with the Options-Ignore list to skip shortcuts by both physical location on your hard disk and the paths they reference.

File masks are specified in the "File Mask(s)" field under Options-General. Unless otherwise specified, they are relative to the overall path specified in the "Path" field in the main dialog. More than one mask can be specified by using a semicolon separator. Do not leave blank spaces between the semicolon(s) and the mask(s).

Advanced include/exclude masks can be confusing and we recomment you construct them via the include/exclude dialog available from the [image] button to the right of the File Mask field.

You must specify *.lnk or *.url or both as a basic file mask. If you do not, Shortcut Doctor will not find anything. Do not specify a file name extension other than .lnk or .url!

Paths to be excluded are demarked with the ~ character.

Assuming your overall path is C:\., some examples are presented below.

Notes:

  • The program builds the complex file masks from left -> right. In general, specify masks to include first, followed by excludes. For example, ~\utilities\*;*.lnk* is not recommended. Use *.lnk;~\utilities\* instead.

  • By way of a general explanation in words:

  • - When a string involving the * meta character is followed by a \ character a subdirectory is referenced. For example, \*mage*\, \*mages\, \image*\ refer to subdirs.

  • \*\ preceding a subdir specification refers to 'any number of levels below the parent search path. For example, ~\*\test\ excludes any paths named test any number of levels below the starting search path.

  • \*\ following a subdir specification can be thought of as 'and also any subdir level below that point. For example, ~\test\*\ excludes \test immediately under the starting search path and all paths under \test. A path named \whatever\test would be searched.

  • \*\ surrounding a path means 'any number of levels below the parent search path and also everything under that. For example, ~\*\test\*\ would exclude any path named test at any point under the parent search path. Following from the above, ~\*\test\*\ would not search \whatever\test.

  • File mask specifications can be supplied after the closing \ for a subdir reference. If you don't use * in the path reference you must specify * after the \ character. For example, *.lnk;~\utilities\* should be used and not *.lnk;~\utilities\ alone. In contrast, the program assumes a file spec of *.* if the * character is used in a path reference. For example, ~\image*\ is interpreted as ~\image*\*, which is the same as ~\image*\*.*.

    • Expression | Effect
*.lnk;*.url;~\utilities\* | Skip shortcuts located C:\utilities
*.lnk;*.url;~\utilities\*\ | As above but also skips subdirs under C:\utilities
*.lnk;~\*\utilities\*\ | Skips shortcuts in any subdir named utilities and any shortcuts located in any subdir under a subdir named utilities. No internet shortcuts will be processed because *.url is not specified
s*.lnk; ~\*\utilities\*\;~\recycled\ | As above plus skips any shortcuts in the recycled bin.


Operating System Compatibility

Shortcut Doctor runs on Windows 2000 and above: Windows 2000 (Workstation and Server), XP (Pro and Home), Windows 2003 Server, & Windows Vista (32 and 64 bit).

Notes:

  • Windows 95 and 98 users: These operating systems are no longer offically supported.

  • Windows NT users: As above. We recommend you install Service Pac 6.


About Button

About Button: Activates the About Dialog .


Actions Menu

Check: Searches for shortcuts in the specified path and subdirectories and checks their validity. Any paths specified in Ignore Options are not searched or checked.

Empty Recent Files: Purges all items from the Recent Documents list. You will be prompted before items are erased. If you want to delete only some items from the list, specify the documents list on the path field and highlight only those items you wish to delete.

Replace: Activates the Path Search and Replace dialog.

Add Shortcut: Activates a blank shortcut properties dialog for creating a new shortcut.

Resolve: Attempts to fix errors in the shortcut that is highlighted in the results list. This is dim if no shortcut is highlighted.

Delete Shortcut(s): Erases the shortcuts that are highlighted in the results list. A confirmation dialog is presented. This is dim if no shortcut is highlighted.

Edit Shortcut: Opens the shortcut properties dialog on the shortcut currently highlighted in the results list. This is dim if no shortcut is highlighted.


Add New Shortcut Button

Add New Shortcut: Activates a blank shortcut properties dialog for creating a new shortcut.


Append to Output File (P)

Append to Output File: When checked, if an output report is specified the file is written in Append mode. When not check the file is overwritten by each new operation. The output report is specified in the 'Write Output to File' field (Options-General) and via Output_File= switch in Scripts.


Cancel Button

Cancel Button: The changes will not be made.


Check Shortcuts Button

Check Shortcuts: Click this to search for shortcuts present in the specified path and check their validity. You should click this to update the display after each operation.


Make Network Shortcuts Non-Tracking

Make Network Shortcuts Non-Tracking: This is a 3-way checkbox. When unchecked, automatic resolution of network-based shortcuts will be turned off. When fully checked, network tracking will be enabled. When checked and dim, the tracking bit will be left unchanged. Click on the Replace button to effect the change. All shortcuts in the current path will be operated on. If you only want to change network tracking but make no other changes to the paths, you must enter some type of string in the "Strings to Find" list.

Please note that the program resets network tracking on/off according to your choice, regardless of the previous state of a .lnk, when you make a choice other than dim. For example, it is normal for the program to report that a lnk was 'made non-tracking' even though it might have already been non-tracking.

See Automatic Network Shortcut Resolution for more information.


Change Paths Replace Button

Replace Button: Click to perform a search & replace.


Prompt Before Replacing (P)

Prompt Before Replacing: Enable this if you want replacement confirmations in advance of the actual replace.


Change Paths Search Button

Search Button: Click to perform a search. The shortcuts containing the search string(s) will be returned in the main dialog.


Show Progress Window (P)

Show Progress Window: When checked the Progress Meter is displayed during search/replace and Check-only operations.


Change Paths Cancel Button

Cancel Button: Click to abort.


Change Path Check Paths

Check Paths Before Replace: When checked, Shortcut Doctor verifies Target, Start In, and Icon paths. If any of those is not confirmed, the replace is not made for any of those fields. When Check Paths Before Replace is unchecked, no verification is attempted. Please see Check Path Notes for more information about involving s/r changes to invalid paths. If you receive an error response from the program that 'Text not found in any shortcuts' even though a check shows the existing shortcuts are OK, try disabling this switch.


Change Path Find String

Find String: Enter the strings to search for, one per line. Shortcut Doctor can search for targets &/or command line parameters. Do not use quotes. In the example here, UNC (Universal Naming Convention) network paths are modeled (e.g., \\435CDS\C\ --> f:\). They were inserted automatically by clicking on the "Get Mappings" button.


Change Paths Get UNC Map

Get UNC Mappings: Click here to insert the UNC paths & mapped drives currently in effect on your computer. If you are not connected to a network, this button will have no effect.


Change Path Replace String

Replace String: Enter the counterpart replacement paths, one per line. Do not use quotes. In the example here, UNC (Universal Naming Convention) network paths are modeled. They were inserted automatically by clicking on the "Get Mappings" button. If you want to delete a command line parameter, enter a blank line followed by return corresponding to the command line string in the "Strings to Find" field.


Change Path UNC Map First

UNC Map First: For shortcuts that point to a network drive, when checked, Shortcut Doctor will change Universal Naming Convention paths first.


Clear Recent Documents List Button

Clear Recent Documents List: Purges all items from the Windows 95/NT Recent Documents list. You will be prompted before items are erased. If you want to delete only some items from the list, specify the documents list on the path field and highlight only those items you wish to delete.


Delete Selected Shortcut(s) Button

Delete Selected Shortcut(s): Erases the shortcuts that are highlighted in the results list to the Recycle bin. A confirmation dialog is presented. This is dim if no shortcut is highlighted.


New Shortcut Comand Line

Command Line: With no command line switches specified here, Search and Replace will launch a standard session.


New Shortcut Description

Description: Use this field to enter description for the shortcut. That this can be blank.


New Shortcut Icon

Icon: The default icon for the program is displayed. To select a specific icon, click on the icon to open a Choose Icon dialog. The default path is the path of the program. To use an alternative icon, use the browse button in Choose Icon dialog to navigate to a different path. The initial icon for new shortcuts will be blank and you should use the Choose Icon dialog to pick an icon. Note: A handy collection of standard windows icons can be found in SHELL32.dll in the windows\system subdirectory, e.g., C:\WINDOWS\SYSTEM\SHELL32.dll.


New Shortcut Location

Location: As specified here, the shortcut will be created in the folder "C:\Windows\StartMenu\Utils". There will be no "shortcut to" prefix. In the Windows Start Menu, the menu item will display as "SR32".


Location History

Location History: The previous paths used is available by clicking here.


Edit Selected Shortcut(s) Button

Edit Selected Shortcut: Opens the shortcut properties dialog on the shortcut currently highlighted in the results list. This is dim if no shortcut is highlighted.


New Shortcut Shortcut Key

Shortcut Key: As specified here, the shortcut combination CTRL-ALT-S will launch Search & Replace. Very handy! You do not need to specify a shortcut key though.


New Shortcut Start In

Start In: The Search and Replace subdirectory is specified.


New Shortcut Target

Target: Here, the program specified is C:\FUNDUC\SR\SR32.exe., the powerful utility Search and Replace for Windows 3x & 95/NT also by Funduc Software.


New Shortcut Run Window Size

Run Window Size: A standard size window is specified. In the case of Search & Replace, the last window setting would be restored when the program is run again.


File Color

File Color: Changes the display color of the file names of the shortcuts themselves. Click this to activate a standard Windows color picker.


File Mask(s)

File Mask(s): Specify your file masks here or click on the [image] button to the right to activate the Include/Exclude dialog to create a complex mask interactively.


Found Color

Found Color: Changes the display color of descriptive messages for shortcuts that have problems. Click this to activate a standard Windows color picker.


Help Button

Help Button: Activate program help.


Help Menu

Help Menu: Activates program help.


Ignore File List

Ignore List: The Options-Ignore list of drives or directories to ignore is used to specify one or more paths should be ignored if present in a given shortcut. Specify here any references to paths that you wish to skip during validation. For example, if your CDROM is drive K:\ and you want Shortcut Doctor to disregard any shortcuts that contain a reference to drive K:\, specify K:\ here. You can also specify UNC paths.

The Options-Ignore list does not reference the actual physical location of the .lnk or .url file itself. Use File Mask(s) to exclude shortcuts based on the physical location of the .lnk or .url files on your disk.

Note: Be sure to press <Enter> after each line.


Include/Exclude Button

Include/Exclude Button: Activates the Include/Exclude dialog.


Shortcut Properties File Open Browse Button

File Open Browse Button: Click here to open a standard file open dialog that you can use to navigate to a desired path/program. When you click "OK", the item will be entered on the respective field on the Properties Dialog.


New Shortcut Comand Line

Command Line: You should specify here any special command line switches for your program. Consult documentation for the program you are creating a shortcut to for information about what, if anything, needs to be specified here.


New Shortcut Description

Shortcut Description: Use this field to enter description for the shortcut.


New Shortcut Icon

Shortcut Icon: The default icon for the program is displayed. To select a specific icon, click on the icon to open a Choose Icon dialog. The default path is the path of the program. To use an alternative icon, use the browse button in Choose Icon dialog to navigate to a different path. The initial icon for new shortcuts will be blank and you should use the Choose Icon dialog to pick an icon. Note: A handy collection of standard windows icons can be found in SHELL32.dll in the windows\system subdirectory, e.g., C:\WINDOWS\SYSTEM\SHELL32.dll.


New Shortcut Location

Location: The filename and folder where the shortcut will be saved. You can manually type it in or use the file browser (the [image] button) to navigate to the folder. A history of recent paths is available (click on [image]). Shortcut Doctor defaults to a filename of "Shortcut to xxx.xxx.lnk" in the Windows Desktop folder, where:

"Shortcut to" is the string specified in the "Start Shortcut Name With" field under General Options
and
xxx.xxx is the name of the program specified in the Target Field.

You are free change xxx.xxx to another string and you may locate the shortcut to another folder. However, the filename suffix ".lnk" must not be changed!


Location History

Location History: The previous paths used for creating new shortcuts is available by clicking here.


New Shortcut Shortcut Key

Shortcut Key: Use this field to specify a keyboard shortcut to quickly launch the program or switch to it from another task. If you decide to specify a shortcut, you must include a CTRL and/or ALT setting. You may not use the ESC, Enter, Tab, PrintScrn, Space, or Backspace keys. Avoid using a shortcut key combination that overlaps with another that already exists on your computer (future releases of Shortcut Doctor will check for this.) Also, do not specify a keystroke combination that matches an access key combination for one of your windows programs as this would cause the access key to stop working.


New Shortcut Start In

Start In: The startup subdirectory for the program specified in Target. This is typically the same subdirectory as the program itself. Consult documentation for the program you are creating a shortcut to for information about what options can be specified here.


New Shortcut Target

Target: Specify the target program for the shortcut. You can manually type it in or use the file browser (the [image] button) to navigate to the desired program.


New Shortcut Run Window Size

Run Window Size: Specify the window type in effect when the program is launched. The three choices possible here - Normal Window (standard size), Minimized (Task Button), and Maximized (full screen) - are available in the drop down list ( [image]).


OK Button

OK Button: The settings as displayed will be saved.


Options Button

Options Button: Activates Program Options .


Path Browse Button

Path Browse Button: Click here to open a select path dialog that can be used to conveniently pick the path to search.


Path Drop Down List

Path Drop Down List: Previous paths are available by clicking here. The number of items retained in the drop down list is configured under General Options.


Path Field

Path Field: Enter the path to search for shortcuts. You may manually enter a path, select a previous path from the drop down list ( [image]), or use the browse button ( [image]). The number of items retained in the drop down list is configured under General Options. To search all hard drives on the computer, specify Local Hard Drives (case insensitive) or Lokale Festplatten (German interface users, case insensitive).


Replace String Button

Search Replace: Activates the Search & Replace dialog.


Resolve Selected Shortcut(s) Button

Resolve Selected Shortcut(s): Attempts to fix errors in the shortcut that is highlighted in the results list. This is dim if no shortcut is highlighted.


Main Screen Right Click Menu

Main Screen Right Click Menu: Modeled here is the right click menu available in the Results List. To activate, highlight a shortcut & click the right mouse button (left for left-hand configuration). Resolve, Delete, and Edit will be dim if no shortcuts are highlighted.


Number of Items to Save

# of items to save: Determines the number of paths Shortcut Doctor will save in the path drop down list ( [image]).


Search Results: Good Links

Search Results - Good Links: In the model display here, shortcuts without problems are displayed in blue. Output colors are configured under General Options .


Search Results: Problem Links

Search Results - Problem Links: In the model display here, shortcuts with problems are displayed in red. Output colors are configured under General Options . To resolve this link, click on the Resolve button or select "Resolve" from the Actions Menu .


Search Subdirectories Field

Search Subdirectories Field: Check this box if you want to search for shortcuts that are present in subdirectories under the path specified on the path field.


Start Shortcut Name With

Start Shortcut Name With: Shortcut Doctor defaults to "Shortcut to" as a starting string for the .lnk filename of the shortcut. You can change this here. Make the field blank if you do not want any starting string.


Show All Field

Show All Field: When checked, Shortcut Doctor will display a list of shortcuts found and their integrity after you press the Check Shortcuts button. When unchecked, a brief report will be displayed.


View Menu

Toolbar: Toggles the display of the toolbar buttons.

Status Bar: Toggles the display of the status bar at the bottom of the Shortcut Doctor window.

Customize Toolbar: Activates the Toolbar Customize dialog.

Options: Activates Program Options.


Write Output Browse Button

Write Output Browse Button: Click here to open a standard file open dialog that you can use to navigate to a specific file or subdirectory. The default is filename is "results.txt" in the Shortcut Doctor subdirectory. When you click "Save", the file chosen will be inserted in the "Write Output to File" field.


Write Output to File

Write Output to File: All output in the Search Results area of the Shortcut Doctor main window will be written to the text file specified here. Leave this blank if you do want search results written to a file. Shortcut Doctor issue a reminder after writes to the output file. To dump the output to the windows clipboard, specify Clipboard (case insensitive) or Zwischenablage (German interface users, case insensitive).


Progress Meter

A progress meter similar to the below is enabled/disabled in the Search/Replace and Options-General dialogs and in scripts (Show Progress= switch).


Resolve Shortcuts

To Resolve Invalid Shortcuts

1 In the Shortcut Doctor Main Window, specify a path and whether or not to search subdirectories.

2 Check the "Show All" field in the main window.

3 Click the Check Shortcuts button or select "Check" in the Actions Menu.

4 Click the Resolve button or select "Resolve" from the Actions Menu or the Results List right click menu.

5 Click the Check Shortcuts button again to refresh the Results List.


About Shortcut Doctor

Shortcut Doctor

Shortcut Doctor
Copyright © 1997-2009 Funduc Software, Inc.
All Rights Reserved
http://www.funduc.com http://www.searchandreplace.com

See Ordering Information for details on how to purchase Shortcut Doctor or write us at info@funduc.com. See License Information for details about licensing. For customer support, contact support@funduc.com or visit our web site at http://www.funduc.com for FAQs & program updates. Also check our web site for product information and trialware & freeware downloads of our other award winning software products.


About Shortcut Doctor

Shortcut Doctor

Shortcut Doctor
Copyright © 1997-2009 Funduc Software, Inc.
All Rights Reserved
http://www.funduc.com http://www.searchandreplace.com

See Ordering Information for details on how to purchase Shortcut Doctor or write us at support@funduc.com. See License Information for details about licensing. For customer support, contact support@funduc.com. Also visit our web site for product information and trialware & freeware downloads of our other award winning software products.


Shortcut Doctor Order Form

Shortcut Doctor Fax and Mail Order Form

Funduc Software, Inc. - Fax and Mail Order Form

Shortcut Doctor

Funduc Part Numbers: (Circle One)

220-SD-6793 (32-bit)
220-SD-6764 (64-bit)

Fax Orders:

Fax to the number indicated on the page at
www.funduc.com/contact.htm

Check Orders:

Funduc Software, Inc.
P.O. Box 530904
Livonia, MI 48153-0904
USA

-------- PRINT NEATLY OR TYPE! --------

Price Schedule | Price ($US) Per User | Number of Users | Price
Single user | $ 15.00 | _______ | $________
2 to 9 users | $ 13.00 | _______ | $________
10 to 24 users | $ 1100 | _______ | $________
25 to 49 users | $ 10.00 | _______ | $________
50+ users | $ 8.00 | _______ | $________
Residents of Michigan, United States - add 6% sales tax |  |  | $________
Preferred Shipping Method Disk (USPS Domestic US) $8.00 S&H |  |  | $________
Disk (USPS International) $10.00 S&H |  |  | $________
Email (Free) |  |  | $___ 0 ___
TOTAL PAYMENT |  |  | $________

Credit Card Information
Card Type (Check One): | Visa[ ] American Express[ ] MasterCard[ ] Discover[ ]
Name as it appears on card: | ____________________________________________________
Credit Card Number: | ____________________________________________________
Expiration Date: | ____________________
Street Address: | ____________________________________________________
Street Address: | ____________________________________________________
City, State Zip: | ____________________________________________________
Country: | ____________________________
Your Information (Write 'Same' if not different from above)
Your Name: | ____________________________________________________
Company: | ____________________________________________________
Street Address: | ____________________________________________________
Street Address: | ____________________________________________________
City, State, Zip: | ____________________________________________________
Country: | ____________________________________________________
Day Phone Number: | ____________________________
Fax Number: | ____________________________
Alt Phone Number: | ____________________________
* EMail Address:* | ____________________________________________________
Signature: | ____________________________________________________
Date: | ____________________________

* Include E-Mail address if you want email delivery.

Comments:


Add

Add: Click here to move the highlighted button(s) or separator in the list of Available Buttons to the Toolbar Buttons list. You can then use the Move Up / Move Down buttons to change the placement of the button in the Toolbar Buttons list.


Available Buttons

Available Buttons: A list of available buttons is presented here. Except for separators, which may be used multiple times, if a button is already in use it will not be listed. To use a button or add a separator, highlight it and click on the Add button in the center of the dialog.


Close

Close: Accept the toolbar button arrangement as defined in the dialog and close the dialog. If you want to cancel your current changes, click on Reset and then click on Close.


Help

Help: Activates program help.


Move Down

Move Down: Moves highlighted button or separator down by one.


Move Up

Move Up: Moves highlighted button or separator up by one.


Remove

Remove: Click here to remove the highlighted button(s) or separator in the list of Toolbar Buttons list. They will be placed in the list of Available Buttons.


Rest

Reset: Resets the toolbar to the default arrangement.


Current Toolbar Buttons

Current Toolbar Buttons: A list of buttons and separators currently in use is presented here. To remove a button or separator, highlight it and click on the Remove button in the center of the dialog.